# Uses of Interface
org.eclipse.ecf.discovery.IServiceEvent

Packages that use IServiceEvent
Package
Description
org.eclipse.ecf.discovery

## Uses of IServiceEvent in org.eclipse.ecf.discovery

Classes in org.eclipse.ecf.discovery that implement IServiceEvent
Modifier and Type
Class
Description
`class`
`ServiceContainerEvent`
Base event implementation of `IServiceEvent`.
Methods in org.eclipse.ecf.discovery that return IServiceEvent
Modifier and Type
Method
Description
`protected IServiceEvent`
AbstractDiscoveryContainerAdapter.`getServiceEvent(IServiceInfo iServiceInfo, ID id)`
Methods in org.eclipse.ecf.discovery with parameters of type IServiceEvent
Modifier and Type
Method
Description
`protected void`
AbstractDiscoveryContainerAdapter.`fireServiceDiscovered(IServiceEvent aServiceEvent)`
Calls `IServiceListener.serviceDiscovered(IServiceEvent)` for all registered `IServiceListener`
`protected void`
AbstractDiscoveryContainerAdapter.`fireServiceUndiscovered(IServiceEvent aServiceEvent)`
Calls `IServiceListener.serviceUndiscovered(IServiceEvent)` for all registered `IServiceListener`
`void`
IServiceListener.`serviceDiscovered(IServiceEvent anEvent)`
Notification that a service has been discovered (the service is fully resolved).
`void`
IServiceListener.`serviceUndiscovered(IServiceEvent anEvent)`
Notification that a previously discovered service has been undiscovered.